---
- include_tasks: docker_remove.yml
  when: remove_docker_exist

- name: DOCKER role - install dependencies
  ansible.builtin.apt:
    name:
      - ca-certificates
      - curl
      - gpg-agent
    state: present
    update_cache: yes

- name: DOCKER role - add GPG key
  ansible.builtin.apt_key:
    url: https://download.docker.com/linux/ubuntu/gpg
    state: present

- name: DOCKER add repository source list
  ansible.builtin.apt_repository:
    repo: deb https://download.docker.com/linux/ubuntu {{ ansible_lsb.codename }} stable

- name: DOCKER install latest version if version not defined
  ansible.builtin.apt:
    name:
      - docker-ce
      - docker-ce-cli
      - containerd.io
      - docker-buildx-plugin
      - docker-compose-plugin
    state: present
    update_cache: yes
  when: docker_version is not defined
  notify: DOCKER set service active

- name: DOCKER install specify version
  ansible.builtin.apt:
    name:
      - "docker-ce={{ docker_version }}"
      - "docker-ce-cli={{ docker_version }}"
      - containerd.io
      - docker-buildx-plugin
      - docker-compose-plugin
    state: present
    update_cache: yes
  when: docker_version is defined
  notify: DOCKER set service active

- name: DOCKER ensure group "docker" exist
  ansible.builtin.group:
    name: docker
    state: present

- name: DOCKER group adding current user into
  ansible.builtin.user:
    name: "{{ ansible_user_id }}"
    groups: docker
    append: yes
